Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/xournal: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Mon, 20 Mar 2017 22:25:40 +0800

http://xournal.sourceforge.net/
Notetaking, sketching, keeping a journal using a stylus
---
 testing/xournal/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/xournal/APKBUILD
diff --git a/testing/xournal/APKBUILD b/testing/xournal/APKBUILD
new file mode 100644
index 00000000..9165ae54
--- /dev/null
+++ b/testing/xournal/APKBUILD
_at_@ -0,0 +1,31 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=xournal
+pkgver=0.4.8
+pkgrel=0
+pkgdesc="Notetaking, sketching, keeping a journal using a stylus"
+url="http://xournal.sourceforge.net/"
+arch="all"
+license="GPL2"
+makedepends="libgnomecanvas-dev poppler-dev"
+subpackages="$pkgname-lang"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+check() {
+	cd "$builddir"
+	make check || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="cfd5760a0e832ef02786a29cb744d4932aeee97c4d6992b430e647bd59aaef1042735203824d0eaf9da9b884dcdadcfb8f5acea221638db91438ae46a6ee42bf  xournal-0.4.8.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 20 2017 - 22:25:40 GMT